classification
Title: Addition of mypy cache to gitignore
Type: enhancement Stage: resolved
Components: Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, matrixise, onlined
Priority: low Keywords: patch

Created on 2018-04-26 23:27 by onlined, last changed 2018-04-30 19:11 by brett.cannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6614 merged onlined, 2018-04-26 23:30
PR 6623 closed cypher, 2018-04-28 09:11
Messages (3)
msg315823 - (view) Author: Ekin Dursun (onlined) * Date: 2018-04-26 23:27
Since Python developers started to use mypy, I need we should add .mypy_cache directories to .gitignore.
msg315852 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2018-04-27 18:26
Python's standard library isn't typed so running mypy on it isn't really beneficial at the moment. Plus you can add .mypy_cache to your global .gitignore file.

I'm not saying we can't add it, I'm just saying it isn't a priority.
msg315882 - (view) Author: St├ęphane Wirtel (matrixise) * (Python committer) Date: 2018-04-29 06:46
you could use a feature of git for the global .gitignore file

git config --global core.excludesfile ~/.gitignore

source: https://git-scm.com/docs/gitignore/2.17.0
History
Date User Action Args
2018-04-30 19:11:14brett.cannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-04-29 06:46:21matrixisesetnosy: + matrixise
messages: + msg315882
2018-04-28 09:11:05cyphersetpull_requests: + pull_request6319
2018-04-27 18:27:08brett.cannonsettype: enhancement
2018-04-27 18:26:50brett.cannonsetpriority: normal -> low
nosy: + brett.cannon
messages: + msg315852

2018-04-26 23:30:25onlinedsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6310
2018-04-26 23:27:40onlinedcreate